# Generated by Django 5.0.3 on 2025-01-29 03:06

import django.db.models.deletion
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("pxy_langchain", "0001_initial"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="aiprovider",
            name="base_url",
        ),
        migrations.AddField(
            model_name="aiassistant",
            name="created_at",
            field=models.DateTimeField(
                auto_now_add=True, default=django.utils.timezone.now
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="aiassistant",
            name="updated_at",
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AlterField(
            model_name="aiassistant",
            name="api_key",
            field=models.CharField(
                help_text="API key for accessing the AI provider.", max_length=200
            ),
        ),
        migrations.AlterField(
            model_name="aiassistant",
            name="description",
            field=models.TextField(
                blank=True, help_text="System role or behavior description.", null=True
            ),
        ),
        migrations.AlterField(
            model_name="aiassistant",
            name="model_name",
            field=models.CharField(
                help_text="Name of the AI model (e.g., gpt-4, deepseek-chat, mistral-7b).",
                max_length=100,
            ),
        ),
        migrations.AlterField(
            model_name="aiassistant",
            name="name",
            field=models.CharField(
                help_text="Unique name of the assistant.", max_length=100, unique=True
            ),
        ),
        migrations.AlterField(
            model_name="aiassistant",
            name="provider",
            field=models.ForeignKey(
                help_text="The AI provider for this assistant.",
                on_delete=django.db.models.deletion.CASCADE,
                to="pxy_langchain.aiprovider",
            ),
        ),
        migrations.AlterField(
            model_name="aiprovider",
            name="description",
            field=models.TextField(
                blank=True,
                help_text="Description of the provider and its capabilities.",
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="aiprovider",
            name="name",
            field=models.CharField(
                help_text="Name of the AI provider (e.g., OpenAI, DeepSeek)",
                max_length=100,
                unique=True,
            ),
        ),
    ]
